#
# spec file for package transset
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           transset
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrender)
Url:            http://www.kde.me.uk/index.php?page=x-6.8-xcomposite-howto
Version:        20040120
Release:        206.1
Summary:        Simple program to make windows transparent
License:        MIT
Group:          System/X11/Utilities
Source:         transset-%{version}.tar.bz2
Patch:          transset-%{version}.diff
Patch2:         transset-df-5.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
transset manipulates the _NET_WM_WINDOW_OPACITY property to make
windows transparent.

%prep
%setup -n transset
%patch
%patch2

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 transset $RPM_BUILD_ROOT/usr/bin
cat >> README.SUSE <<EOF
Details: 
    http://gentoo-wiki.com/TIP_Xorg_X11_and_Tranparency
    http://www.kde.me.uk/index.php?page=x-6.8-xcomposite-howto
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.SUSE README ChangeLog
/usr/bin/transset

%changelog
* Wed Jan 10 2018 crrodriguez@opensuse.org
- Replace xorg-x11-devel buildrequires by the libraries
  demanded by makefile.
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Thu Jan 25 2007 sndirsch@suse.de
- move from /usr/X11R6 to /usr
* Mon Feb 20 2006 bk@suse.de
- fix printout of current opacity with --verbose (bug #152210)
* Thu Feb  2 2006 bk@suse.de
- added patch for better tuning of transparency
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul  4 2005 sndirsch@suse.de
- use RPM_OPT_FLAGS
* Fri May 13 2005 sndirsch@suse.de
- use norootforbuild
* Sat Oct 23 2004 sndirsch@suse.de
- created package
